package com.ruoyi.back.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * match对象 pd_direction_manual
 * 
 * @author voluntary
 * @date 2023-05-10
 */
public class PdDirectionManual extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private String direction;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Integer count;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Integer row;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String invalidRemark;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String hasDirection;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String schoolLocation;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String memo1;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String memo2;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String specialType;
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String xueziText;

    private Integer xuezi;

    public void setDirection(String direction) 
    {
        this.direction = direction;
    }

    public String getDirection() 
    {
        return direction;
    }
    public void setCount(Integer count) 
    {
        this.count = count;
    }

    public Integer getCount() 
    {
        return count;
    }
    public void setRow(Integer row) {
        this.row = row;
    }

    public Integer getRow() {
        return row;
    }
    public void setInvalidRemark(String invalidRemark)
    {
        this.invalidRemark = invalidRemark;
    }

    public String getInvalidRemark() 
    {
        return invalidRemark;
    }
    public void setHasDirection(String hasDirection) 
    {
        this.hasDirection = hasDirection;
    }

    public String getHasDirection() 
    {
        return hasDirection;
    }
    public void setSchoolLocation(String schoolLocation) 
    {
        this.schoolLocation = schoolLocation;
    }

    public String getSchoolLocation() 
    {
        return schoolLocation;
    }
    public void setMemo1(String memo1) 
    {
        this.memo1 = memo1;
    }

    public String getMemo1() 
    {
        return memo1;
    }
    public void setMemo2(String memo2) 
    {
        this.memo2 = memo2;
    }

    public String getMemo2() 
    {
        return memo2;
    }
    public void setSpecialType(String specialType) 
    {
        this.specialType = specialType;
    }

    public String getSpecialType() 
    {
        return specialType;
    }
    public void setXuezi(Integer xuezi) {
        this.xuezi = xuezi;
    }

    public Integer getXuezi() {
        return xuezi;
    }

    public String getXueziText() {
        return xueziText;
    }

    public void setXueziText(String xueziText) {
        this.xueziText = xueziText;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("direction", getDirection())
            .append("count", getCount())
            .append("row", getRow())
            .append("invalidRemark", getInvalidRemark())
            .append("hasDirection", getHasDirection())
            .append("schoolLocation", getSchoolLocation())
            .append("memo1", getMemo1())
            .append("memo2", getMemo2())
            .append("specialType", getSpecialType())
            .toString();
    }
}
